org.apache.sling.maven.kickstart.launcher

## Class Main

- java.lang.Object
- - org.apache.sling.maven.kickstart.launcher.Main

    public class Main
    extends Object

Main class for launching Apache Sling.

### Constructor Summary

Constructors
Constructor and Description
`Main(String[] args)` Create a new launcher First argument is the kickstart jar Second argument is the listener port Third argument is verbose

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(String[] args)`
`void` `run()` Startup

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Main

    public Main(String[] args)

Create a new launcher First argument is the kickstart jar Second argument is the listener port Third argument is verbose

### Method Detail

#### run

    public void run()
             throws Exception

Startup

Throws:
  `Exception`

#### main

    public static void main(String[] args)